.\"	$NetBSD: intro.4,v 1.13 2003/08/07 10:31:05 agc Exp $
.\"
.\" Copyright (c) 1990, 1991 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)intro.4	5.2 (Berkeley) 3/27/91
.\"
.Dd August 30, 1994
.Dt INTRO 4 amiga
.Os
.Sh NAME
.Nm intro
.Nd introduction to amiga special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices
which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh AMIGA DEVICE SUPPORT
This section describes the hardware supported on the
.Tn Amiga .
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
and, if found, enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system will have to be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4
.Sh HISTORY
The
.Tn Amiga
.Nm
man page first appeared in
.Nx 1.1
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system. Devices are indicated by their functional interface.
Not all supported devices are listed.
.Bl -tag -width "xxxxxxx" -compact -offset indent
.It Em afsc
A4091 low level SCSI adapter interface
.It Em ahsc
A3000 low level SCSI adapter interface
.It Em atzsc
A2091 low level SCSI adapter interface
.It Em ed
DP8390-based Ethernet interface
.It Em es
SMC91C90-based Ethernet interface
.It Em fdc
Floppy disk controller device
.It Em fd
Floppy disk device
.It Em grf
frame buffer for Custom Chips and graphics cards
.It Em grfcl
color graphics driver for
GVP Spectrum/Picasso II, II+ and IV/Piccolo/Piccolo SD64 cards
.It Em grfcv
color graphics driver for the Cybervision 64
.It Em grfcv3d
color graphics driver for the Cybervision 64/3D
.It Em grfet
color graphics driver for Domino/Domino16M proto/oMniBus/Merlin cards
.It Em grful
color graphics driver for the A2410
.It Em grfrh
color graphics driver for Retina BLT Z3 and Altais cards
.It Em grfrt
color graphics driver for the Retina Z2
.It Em gtsc
GVP low level SCSI adapter interface
.It Em gvpbus
GVP custom bus
.It Em kbd
Amiga Keyboard device
.It Em kmem
kernel virtual memory
.It Em ite
Amiga Internal Terminal Emulator
.It Em ivsc
IVS low level SCSI adapter interface
.It Em le
AMD 7990 and AMD 79C960 Lance-based Ethernet interface
.It Em mem
physical memory
.It Em mfcs
MultiFaceCard II/II serial interface
.It Em mgnsc
Magnum 40 low level SCSI adapter interface
.It Em otgsc
12 Gauge low level SCSI adapter interface
.It Em par
8520 built-in parallel interface
.It Em ser
8520 built-in serial interface
.It Em wesc
Warp Engine low level SCSI adapter interface
.It Em wstsc
Wordsync II low level SCSI adapter interface
.It Em zssc
Zeus low level SCSI adapter interface
.It Em zbus
Amiga Zorro II/III bus
.El
